#ifndef MSP_GRAPHICS_MONITOR_H_
#define MSP_GRAPHICS_MONITOR_H_

#include <list>
#include <string>
#include "videomode.h"

namespace Msp {
namespace Graphics {

struct Monitor
{
	unsigned index;
	std::list<const VideoMode *> video_modes;
	const VideoMode *desktop_mode;
	VideoRotation desktop_rotation;
	const VideoMode *current_mode;
	VideoRotation current_rotation;
	int x, y;
	const Monitor *next_left;
	const Monitor *next_right;

	Monitor();
};

} // namespace Graphics
} // namespace Msp

#endif
