#include "simplewindow.h"

namespace Msp {
namespace Graphics {

SimpleWindow::SimpleWindow(unsigned w, unsigned h, bool fs):
	Window(dpy, w, h, fs)
{ }

void SimpleWindow::tick()
{
	dpy.tick();
}


SimpleGLWindow::SimpleGLWindow(unsigned w, unsigned h, bool fs):
	SimpleWindow(w, h, fs),
	gl_ctx(*this)
{ }

void SimpleGLWindow::swap_buffers()
{
	gl_ctx.swap_buffers();
}

} // namespace Graphics
} // namespace Msp
